%define	major		2
%define	libname		%mklibname shp %{major}
%define	develname	%mklibname shp -d

Summary:	C Library for Shapefile handling
Name:		shapelib
Version:	1.5.0
Release:	%mkrel 2
# The core library is dual-licensed LGPLv2 or MIT.
# Some contributed files have different licenses:
# - contrib/csv2shp.c: GPLv2+
# - contrib/dbfinfo.c: Public domain
# - contrib/dbfcat.c:  Public domain
License:	(LGPLv2+ or MIT) and GPLv2+ and Public Domain
Group:		Sciences/Geosciences
URL:		http://shapelib.maptools.org/
Source0:	http://download.osgeo.org/%{name}/%{name}-%{version}.tar.gz


%description
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%package -n %{libname}
Summary:	C Library for Shapefile handling
Group:		System/Libraries

%description -n	%{libname}
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%package -n %{develname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}shapelib-devel < 1.3.0

%description -n	%{develname}
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%prep
%setup -q
%autopatch -p1

%build

%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{name}
%doc README.tree web/*.html
%{_bindir}/*

%files -n %{develname}
%{_includedir}/shapefil.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libshp.so

%files -n %{libname}
%{_libdir}/libshp.so.%{major}
%{_libdir}/libshp.so.%{major}.*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.5.0-2.mga8
+ Revision: 1523571
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Mar 08 2019 eatdirt <eatdirt> 1.5.0-1.mga7
+ Revision: 1372916
- Upgrade to version 1.5.0

* Sun Sep 23 2018 umeabot <umeabot> 1.4.1-4.mga7
+ Revision: 1301013
- Mageia 7 Mass Rebuild

* Sat Mar 17 2018 daviddavid <daviddavid> 1.4.1-3.mga7
+ Revision: 1210003
- rebuild for new proj 5.0.0

* Tue Nov 21 2017 tv <tv> 1.4.1-2.mga7
+ Revision: 1178366
- rebuild for new libproj

* Sun Oct 01 2017 wally <wally> 1.4.1-1.mga7
+ Revision: 1162131
- new version 1.4.1

* Fri May 20 2016 eatdirt <eatdirt> 1.3.0-10.mga6
+ Revision: 1017179
- Rebuild for new libproj

* Fri May 20 2016 tv <tv> 1.3.0-8.mga6
+ Revision: 1017113
- rebuild for new libproj

* Mon Feb 08 2016 umeabot <umeabot> 1.3.0-7.mga6
+ Revision: 947513
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-6.mga5
+ Revision: 740040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-5.mga5
+ Revision: 689131
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 wally <wally> 1.3.0-4.mga5
+ Revision: 634297
- readd lib pkg
- fix lib and devel pkg names
- switch to autotools (patch from Fedora)
- backport some changes from gdal bundled shapelib (patch from Fedora)
+ solbu <solbu>
- Fix license tag
- Re-add devel package

* Mon Oct 08 2012 neoclust <neoclust> 1.3.0-3.mga3
+ Revision: 303506
- Remove lib and devel package ( there is none anymore)

* Sat Oct 06 2012 dlucio <dlucio> 1.3.0-2.mga3
+ Revision: 302992
- fix conflicts

* Mon Oct 01 2012 obgr_seneca <obgr_seneca> 1.3.0-1.mga3
+ Revision: 301692
- New version

* Tue Jun 05 2012 obgr_seneca <obgr_seneca> 1.2.10-8.mga3
+ Revision: 254561
- Rebuild for new proj

* Wed Apr 20 2011 obgr_seneca <obgr_seneca> 1.2.10-7.mga1
+ Revision: 89047
- cleaned up spec file
- imported package shapelib


* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.2.10-7mdv2010.0
+ Revision: 445104
- rebuild

* Sat Jan 24 2009 Funda Wang <fundawang@mandriva.org> 1.2.10-6mdv2009.1
+ Revision: 333297
- rebuild

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-5mdv2009.0
+ Revision: 233022
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-4mdv2008.1
+ Revision: 185450
- bump release
- fix build

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-3mdv2008.0
+ Revision: 83611
- new devel naming

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-2mdv2008.0
+ Revision: 83606
- Import shapelib



* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-2mdv2007.0
- fix deps

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.10-1mdk
- 1.2.10
- reintroduced this package with lots of fixes as it's required by roadmap (requested on the club)

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-3mdk
- rebuild

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-2mdk
- rebuild
- apply library policy

* Thu Nov 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-1mdk
- patch makefile to install in buildroot
- used srpm from Franck Martin <franck@sopac.org>
